<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/Base/Define/Constants.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_constants_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Constants.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_constants_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  Constants.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by zahir on 2017/6/12.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Copyright © 2017年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//全局常量定义，用于 通知 存储 数据库表名等</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef Constants_h</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define Constants_h</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#pragma mark - ------------其他字符串定义-----------</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#define kLiveTitleList  @&quot;xhx_LiveTitleList&quot;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="_constants_8h.html#a5b4c5a29e82d17e948a09ce3b87258ce">   15</a></span>&#160;<span class="preprocessor">#define ONAPPSTORE  0</span></div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="_constants_8h.html#a8683ea19b6102f58a78e2b9b67365e49">   17</a></span>&#160;<span class="preprocessor">#define iTunesAPPID @&quot;1330926635&quot;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="_constants_8h.html#a4f98eb0df696074c97a4e3ce2297ae0c">   19</a></span>&#160;<span class="comment">//#define QQNumber @&quot;657806541&quot;</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#define QQNumber @&quot;697528354&quot;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="_constants_8h.html#a7d149d8e3c500e43efa1a242b2f51ca0">   22</a></span>&#160;<span class="preprocessor">#define PhoneNumber @&quot;4000-136-070&quot;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="_constants_8h.html#a660e4a9c608ba04ed021fd780337c6b8">   24</a></span>&#160;<span class="preprocessor">#define allowNetPlayKey @&quot;whetherNetPlay&quot;</span></div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="_constants_8h.html#a2a380a0c15da86a2cd3512bffc4fdc3a">   26</a></span>&#160;<span class="preprocessor">#define kGetHtmlString(domStr)  [[NSString stringWithContentsOfFile:[[NSBundle mainBundle] pathForResource:@&quot;CoursehtmlStringBody&quot; ofType:@&quot;text&quot;] encoding:NSUTF8StringEncoding error:nil] stringByReplacingOccurrencesOfString:@&quot;domStringReplease&quot; withString:domStr]</span></div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="_constants_8h.html#aeb65104ed84f90a448021a69ddca87a6">   28</a></span>&#160;<span class="preprocessor">#pragma mark - ----------单例别名---------------</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#define gAppDelegate        ((AppDelegate *)[UIApplication sharedApplication].delegate)</span></div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="_constants_8h.html#a8a8094b38de0d41e68e37e4095d78a5e">   30</a></span>&#160;<span class="preprocessor">#define gReachability       [XHXReachabilityManager sharedManager]</span></div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="_constants_8h.html#ac286ce93ef1921e4eed14089c1545d22">   31</a></span>&#160;<span class="preprocessor">#define kProtectedEyesModel(open)   [gAppDelegate.brightnessWindow setHidden:!open]</span></div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="_constants_8h.html#aea9a22cffcb7ea465f8d71ffb83209d7">   33</a></span>&#160;<span class="preprocessor">#pragma mark - -----------默认服务器参数配置----------</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#pragma mark - ------------第三方定义----------------</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment">// 友盟统计</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#define kUMengKey @&quot;596c1a3a45297d530700050f&quot;</span></div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="_constants_8h.html#adb8004082eef5101842d048d88001dc7">   40</a></span>&#160; </div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="comment">//当虹播放器</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#define kAccessKey          @&quot;2c077356-d2b&quot;</span></div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="_constants_8h.html#a0a2f7f4700762f7d1c6617e7e65ffd21">   47</a></span>&#160;<span class="preprocessor">#define kAccessSecret       @&quot;rc1eRXkAFRMIW73c3xRv&quot;</span></div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="_constants_8h.html#a914196fc144008defc8f036f73b8dce4">   48</a></span>&#160;<span class="preprocessor">#define kARCAppKey             @&quot;1ac227be3e114063b3aa34b9ce0efd72&quot;  //App Store版本</span></div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="_constants_8h.html#aef1fd0aab2c0acb58dd2f76c7e38fada">   49</a></span>&#160;<span class="preprocessor">#define kWRCAppKeyEN             @&quot;68dd20be9a684ca89b08ddcc46ce2cd2&quot;  //企业发放版本</span></div>
<div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="_constants_8h.html#a0d7cd97776a9f189f71a43444fd44c49">   50</a></span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#pragma mark - ------------通知定义------------------</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="preprocessor">#define kNotifyTermOrBookVersionDidChanged  @&quot;termOrBookVersionDidChanged&quot;</span></div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="_constants_8h.html#a9c97fc3f3952a4719102b2cb012dc810">   55</a></span>&#160;<span class="preprocessor">#define kNotifyChangeInfo  @&quot;userCenterChangeInfo&quot;</span></div>
<div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="_constants_8h.html#ac5eee4b681006d5311fc5fd74f1ba2b6">   57</a></span>&#160;<span class="preprocessor">#define kNotifySubmitHomework   @&quot;submitHomework&quot;</span></div>
<div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="_constants_8h.html#a41c2f00b9b2abfc86d1b2f7efc3c1e41">   59</a></span>&#160;<span class="preprocessor">#define kNotifySubmitClassroomEvaluation    @&quot;SubmitClassroomEvaluation&quot;</span></div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="_constants_8h.html#a0e951466582cf5b26618d0ae91011918">   61</a></span>&#160;<span class="preprocessor">#define kNotifySubmitClassNote @&quot;SubmitClassNote&quot;</span></div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="_constants_8h.html#a36e08c2ace3438acdf1a753ece0f701f">   63</a></span>&#160;<span class="preprocessor">#define kNotifyPushInfo  @&quot;notifyPushInfo&quot;</span></div>
<div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="_constants_8h.html#af970f3ec271e9632a3403c8a0829dc80">   65</a></span>&#160;<span class="preprocessor">#define kNotifyClassSummary  @&quot;notifyClassSummary&quot;</span></div>
<div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="_constants_8h.html#a3d18d27a33b59a608459ef8a5dbbcae0">   67</a></span>&#160;<span class="preprocessor">#define kNotifyRemoveWindow @&quot;removeWindow&quot;</span></div>
<div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="_constants_8h.html#ada3381f37ae6f9290c998572df76e1fe">   68</a></span>&#160;<span class="preprocessor">#define kNotifyRefreshCourseDetailVC  @&quot;refreshCourseDetailVC&quot;</span></div>
<div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="_constants_8h.html#a7e7fdce1e4e8ea71edfc0c5d5b12a9e2">   70</a></span>&#160;<span class="comment">//FIXME:D</span></div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="comment"></span><span class="preprocessor">#define kCourseCountDownKey  @&quot;courseCountDown&quot;</span></div>
<div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="_constants_8h.html#a86f29b71c78aef698f83f87bcb59f94d">   73</a></span>&#160;<span class="preprocessor">#define kNotifyIapBuyState  @&quot;iapBuyState&quot;</span></div>
<div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="_constants_8h.html#a4309eb6fca18e84212dd124931521aec">   75</a></span>&#160;<span class="preprocessor">#define kNotifyTopUpSuccess  @&quot;topUpSuccess&quot;</span></div>
<div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="_constants_8h.html#a106d941adaa38327dc06b5816bbce609">   77</a></span>&#160;<span class="preprocessor">#pragma mark-   -------UserDefaults中key的定义--------</span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="preprocessor">#define kUserInfo    @&quot;KKLOnLine_user&quot;</span></div>
<div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="_constants_8h.html#af78d46c84d4d3b7f34ba1dcb9da65497">   79</a></span>&#160;<span class="preprocessor">#define kUserToken   @&quot;KKLOnLine_token&quot;</span></div>
<div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="_constants_8h.html#af41b2480b7f01bcac76cf617cf03b158">   80</a></span>&#160;<span class="preprocessor">#define kOldAccount  @&quot;KKLOnLine_oldAccount&quot;</span></div>
<div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="_constants_8h.html#a54b4653bf6e02ff1bd2ab34cedd442e7">   81</a></span>&#160;<span class="preprocessor">#define KProtectModel @&quot;openProtectedEyes&quot;</span></div>
<div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="_constants_8h.html#ad1dca55809ee6fead6a81f482e6745e5">   82</a></span>&#160;<span class="preprocessor">#define KDidShowGuide @&quot;didShowGuide2.2.0&quot;</span></div>
<div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="_constants_8h.html#aeed36a51651d927c7da29b98d15002ae">   83</a></span>&#160;<span class="preprocessor">#define KXHXVODGuide @&quot;XHXVODGuide&quot;</span></div>
<div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="_constants_8h.html#ad72685f3aeb65d65d38dad05ee73dce7">   84</a></span>&#160;<span class="preprocessor">#define kNewbieKey @&quot;XHXNewbieKey&quot;</span></div>
<div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="_constants_8h.html#ac61c9063061b2043fa027bf7ae8acff7">   86</a></span>&#160;<span class="preprocessor">#define kXHXUserGuideKey  @&quot;com.mistong.xhx.userguide3.0.0&quot;</span></div>
<div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="_constants_8h.html#ad0a5dfd2e3ed25d61b2f0b3fb6b6a40a">   87</a></span>&#160;<span class="preprocessor">#define kLastRunVersionKey @&quot;XHXLastRunVersionKey&quot;</span></div>
<div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="_constants_8h.html#a48972c1458b8efb88d0631113649f9b4">   89</a></span>&#160;<span class="preprocessor">#define kLiveAnswerPublishKey @&quot;liveAnswerPublish&quot;</span></div>
<div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="_constants_8h.html#a1bef65b4293d5e96218eeb7548540ede">   91</a></span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* Constants_h */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_778ebd26e57377eb2e4b9acfa44c059f.html">Base</a></li><li class="navelem"><a class="el" href="dir_381ea4272bba575479ae729f850a6510.html">Define</a></li><li class="navelem"><a class="el" href="_constants_8h.html">Constants.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
